import Chart from "../chart.js";

/**
 * 饼状图组件
 * @param {[type]} dataModel [description]
 */
export default class ChartPie extends Chart {

  constructor(__tfp, dataModel, parent) {
    super(__tfp, "ChartPie", dataModel, parent);
  }

  get nameField() { return this.dataModel.nameField }
  set nameField(value) { 
    this.dataModel.nameField = value;
  }

  get valueField() { return this.dataModel.valueField }
  set valueField(value) { 
    this.dataModel.valueField = value;
  }

  get radius() { return this.dataModel.radius }
  set radius(value) { 
    this.dataModel.radius = value;
  }
}